%global gem_name sdoc
Name:                rubygem-%{gem_name}
Version:             2.6.1
Release:             1
Summary:             RDoc generator to build searchable HTML documentation for Ruby code
License:             MIT and (GPLv2 or Ruby) and BSD
URL:                 https://github.com/zzak/sdoc
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             sdoc.1
Source2:             sdoc-merge.1
Patch0:              Resolve-the-check-failure.patch
Patch1:              rubygem-sdoc-version-option-fix.patch
Requires:            rubygem(json)
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(minitest) zlib-devel
BuildArch:           noarch
%description
SDoc is simply a wrapper for the rdoc command line tool.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%autosetup -n %{gem_name}-%{version} -p1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_mandir}/man1
cp %{SOURCE1} %{buildroot}%{_mandir}/man1
cp %{SOURCE2} %{buildroot}%{_mandir}/man1
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
sed -i "/require 'bundler\/setup'/ s/^/#/" ./spec/spec_helper.rb
ruby -Ilib:spec -e 'Dir.glob "./spec/*.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/sdoc
%{_bindir}/sdoc-merge
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/.github/workflows/test.yml
%{gem_instdir}/config.ru
%{gem_instdir}/netlify.toml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{_mandir}/man1/sdoc-merge.1*
%doc %{_mandir}/man1/sdoc.1*

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sdoc.gemspec
%{gem_instdir}/spec

%changelog
* Thu Jun 01 2023 wangkai <13474090681@163.com> - 2.6.1-1
- Upgrade to 2.6.1 for fix sdoc --webcvs fail

* Tue Feb 20 2023 wenchaofan <349464272@qq.com> - 2.5.0-1
- Upgrade to 2.5.0

* Tue Jul 05 2022 yaoxin <yaoxin30@h-partners.com> - 2.4.0-1
- Upgrade to 2.4.0

* Wed Jul 29 2020 yanan li <liyanan032@huawei.com> - 1.0.0-1
- Package init
